# CONSUMER_LOAN_APPLICATION

The status of a consumer loan application has changed.

Endpoint: POST consumer_loan_application
Version: 1.0

## Request fields (application/json):

  - `entity_uuid` (string)
    Resource unique ID.
    Example: "c5fe9ff6a90f47708e2d865d553c24f2clap"

  - `event_type` (string)
    Webhook event
    Example: "CONSUMER_LOAN_APPLICATION"

  - `payload` (object)

  - `payload.id` (string, required)
    The unique ID of a customer's consumer loan application.
    Example: "108787ede6b743dcbe0c3398bc4a6ce8clap"

  - `payload.status` (string, required)
    The status of a consumer loan application.
    Enum: "offered", "account_snapshot_verification", "approved", "esign_pending", "screening_pending", "esign_failed", "loan_creation_pending", "loan_created", "rejected", "deleted", "expired"

  - `payload.status_description` (string,null)
    Additional details about the consumer loan application status.

  - `payload.skip_account_snapshot` (boolean)

  - `payload.signing_id` (string,null)
    The ID of the signing resource, created after the customer's identification and e-signing process has been triggered.
    Example: "7c63600ddddec4f2668893af39c1b814csig"

  - `payload.seller` (string,null)
    The name of the seller of the financed good.

  - `payload.payout_description` (string,null)
    Additional details around the loan payout.

  - `payload.loan_id` (string,null)
    The unique ID of a loan.

  - `payload.financed_good` (string,null)
    The financed good that was purchased using the loan.

  - `payload.delayed_payout_strategy` (string)
    Field to indicate the payout strategy to be applied to the loan. If set to none, then the loan payout will happen automatically.
    Enum: "none", "after_revocation"

  - `payload.cash_price` (object,null)
    The cash price of the financed good (i.e., net price without financing fees, interest).
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `payload.cash_price.value` (integer, required)
    The amount value
    Example: 1000

  - `payload.cash_price.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `payload.cash_price.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `payload.approximate_total_loan_expenses` (object,null)
    An approximate amount of the loan total expenses (e.g., costs and expenses the lender incurred during a loan lifecycle)
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `payload.approximate_total_loan_expenses.value` (integer, required)
    The amount value
    Example: 1000

  - `payload.approximate_total_loan_expenses.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `payload.approximate_total_loan_expenses.unit` (string, required)
    The unit of the given value.
    Enum: "cents"


## Response 200 fields
